﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek TDS 6404: (1 year) VER IEEE /9500/3200+5Ch,LFCTR
DATE:                  2018-09-10 14:32:07
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       141
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Source:
#        Tektronix TDS6000 Series Service Manual,
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        5 ea. Adapter, Right Angle, SMA (f)-(m), Pomona
#              Model No. 4282 or equivalent
#        4 ea. Adapter, SMA (m) to BNC (f), Pomona Model
#              No. 4290 or equivalent
#        2 ea. Tee, SMA, (f)-(m)-(f)
#        2 ea. Cable assy., 20", SMA (m)-(m), Tektronix
#              Part No. 174-1427-00 or equivalent
#        2 ea. Shorting Cap, SMA (m), Pomona Model No. 5088
#        2 ea. Adapter, SMA (f)-(f), Pomona Model No. 4285
#        1 ea. Attenuator, 6 dB,  SMA (f)-(m)
#        1 ea. Attenuator, 20 dB, SMA (f)-(m)
#        1 ea. Cable assy., 36", BNC (m)-(m)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
# GLOBAL PROCEDURE VARIABLES:
#
#   M[1]
#     This variable is used in the Trigger Section of the procedure to store
#     temporary values of MEM.  This section is part of a feedback loop which
#     is used to adjust the 9500 to the proper amplitude.
#
#   M[2]
#     This variable is used in the Trigger Section of the procedure to
#     calculate how much the 9500 will be adjusted in the feedback loop.
#     This variable is also used in the bandwidth tests.
#
#   M[3]
#     This variable is used in the main triggering section to help determine
#     whether the scope is making a correct type of measurement.   This
#     variable sets the starting trigger level also.
#
#   M[4]
#     This variable is used to store a value to be to be compared later
#
#   M[5]
#     This variable is used to store a value to be to be compared later
#
#   M[7]
#     This wariable is used to determine whether the scope has triggered
#     properly and is used with the JMPL FSC.
#
#   M[8]
#     This variable is used during the TIMEBASE test to store vertical
#     cursor information.
#
#   M[9]
#     This variable is used during the TIMEBASE test to store horizontal
#     cursor information.
#
#   M[10]
#     This variable is used in the subprocedure status check to set the
#     watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   BackupMEM
#     This variable is used to store the value of MEM
#
#   BackupMEM1
#     This variable is used to store the value of MEM1
#
#   M[13]
#     This variable is used during the Timebase Test to manipulate the
#     cursors.
#
#   M[17]
#     This variable is used to store the desired resolution of a measurement.
#     This value is then passed to the SUB Status Check for calculations.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#
#   MEM2
#     This variable is used to pass commands to the Sub Status Check.  This is
#     used with the READING Flag.  The benefit of using this technique is the
#     ability to reduce the amout of dedicated programs.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1Vpp                         3GH            LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1Vpp                         3GH            LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1Vpp                         3GH            LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1Vpp                         3GH            LS    S  L
  1.010  M9500                       CH5
  1.011  9500         6GH                          100mV          LS    S  L
  1.012  IEEE         [@LFCTR]
  1.013  ENDIF

  1.014  MATH         @UUT_ModelNum = "TDS6404"; M[110] = 4
  1.015  CALL         Sub Tek TDS 6404,6604 (1 yr) VER IEEE/9500+5Ch+G3,LFCTR

  1.016  END
