﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Pulse Trigger IEEE /9500+5Ch+G3
DATE:                  2018-09-10 12:12:10
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       729
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Use CH 5 9560 Active Head.
  1.001  M9500                       CH5

  1.002  JMPL         ANALOG_BANDWIDTH             PSUB("Bandwidth")
  1.003  JMPL         CHANNEL_ISOLATION            PSUB("Channel Isolation")
  1.004  JMPL         PULSE_WIDTH_TRIGGERING       PSUB("Pulse Trigger")
  1.005  DISP         Subprocedure not found!
  1.006  END

# =====  Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3  ================

  1.007  LABEL        ANALOG_BANDWIDTH

  1.008  IF           M[100] == 1
  1.009  RSLT         =
  1.010  RSLT         =ANALOG BANDWIDTH
  1.011  ENDIF

  1.012  RSLT         =
  1.013  HEAD         ANALOG BANDWIDTH: {Channel [M100]}
  1.014  HEAD         -2 10 mV/div
  1.015  TARGET

  1.016  IF           M[100] == 1
  1.017  DISP         Connect CH 5 Active Head and input module to DUT CH 1.
  1.017  DISP
  1.017  DISP         If not already in use, the Tektronix TekConnect®
  1.017  DISP         TCA-SMA input modules must be used throughout the
  1.017  DISP         bandwidth tests!
  1.018  ELSE
  1.019  MATH         L[2] = M[100]; L[1] = L[2] - 1
  1.020  DISP         Remove CH [L2] input module from DUT.
  1.020  DISP
  1.020  DISP         Leaving CH 5 Active Head connected to the DUT CH [L1]
  1.020  DISP         input module, move the entire Active Head/input
  1.020  DISP         module combination from the DUT CH [L1] to CH [L2].
  1.020  DISP
  1.020  DISP         Insert unused input module into DUT CH [L1].
  1.021  ENDIF

  1.022  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  1.023  JMPL         END                          @Abort
  1.024  CALL         Sub Tek TDSxxx Channel Selection
  1.025  JMPL         END                          @Abort
  1.026  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  1.027  IEEE         ACQ:NUMAVG 16
  1.028  IEEE         MEASU:METHOD MINMAX
  1.028  IEEE         MEASU:IMM:TYPE PK2PK;SOURCE CH[M100]

  1.029  LABEL        10mV/div_BW_REF

  1.030  DO
  1.031  IEEE         CH[M100]:VOLTS 10E-3
  1.032  IEEE         HOR:MAIN:SCALE 200E-9
  1.033  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  1.033  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
  1.034  9500         60mVpp                       10MH           LS    S  L
  1.035  WAIT         [D2000]
  1.036  MATH         @Cmd = "TRIG:A SETLEVEL"
  1.037  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.040  UNTIL        @Triggered

  1.041  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  1.042  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.043  JMPL         END                          @Abort
  1.044  IEEE         MEASU:IMM:VAL?[I]
  1.045  JMPL         10mV/div_BW_REF              MEM == 9.9e+37
  1.046  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  1.047  LABEL        10mV/div_BW_TEST

  1.048  DO
  1.049  IEEE         HOR:MAIN:SCALE 1E-9
  1.050  IEEE         TRIG:A:EDGE:SOURCE LINE
  1.051  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  1.052  MATH         MEM = M[110]
  1.053  9500         60mVpp                       GH             LS    S  L
  1.054  WAIT         [D2000]
  1.055  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  1.056  UNTIL        @Triggered

  1.057  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  1.058  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.059  JMPL         END                          @Abort
  1.060  IEEE         MEASU:IMM:VAL?[I]
  1.061  JMPL         10mV/div_BW_TEST             MEM == 9.9e+37
  1.062  EVAL   -e MEM >= M[2] : [32]10 mV/div

  2.001  HEAD         -2 20 mV/div
  2.002  TARGET

  2.003  LABEL        20mV/div_BW_REF

  2.004  DO
  2.005  IEEE         CH[M100]:VOLTS 20E-3
  2.006  IEEE         HOR:MAIN:SCALE 200E-9
  2.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  2.008  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  2.009  9500         120mVpp                      10MH           LS    S  L
  2.010  WAIT         [D2000]
  2.011  MATH         @Cmd = "TRIG:A SETLEVEL"
  2.012  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.013  JMPL         END                          @Abort
  2.014  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  2.015  UNTIL        @Triggered

  2.016  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  2.017  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.018  JMPL         END                          @Abort
  2.019  IEEE         MEASU:IMM:VAL?[I]
  2.020  JMPL         20mV/div_BW_REF              MEM == 9.9e+37
  2.021  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  2.022  LABEL        20mV/div_BW_TEST

  2.023  DO
  2.024  IEEE         HOR:MAIN:SCALE 1E-9
  2.025  IEEE         TRIG:A:EDGE:SOURCE LINE
  2.026  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  2.027  MATH         MEM = M[110]
  2.028  9500         120mVpp                      GH             LS    S  L
  2.029  WAIT         [D2000]
  2.030  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  2.031  UNTIL        @Triggered

  2.032  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  2.033  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.034  JMPL         END                          @Abort
  2.035  IEEE         MEASU:IMM:VAL?[I]
  2.036  JMPL         20mV/div_BW_TEST             MEM == 9.9e+37
  2.037  EVAL   -e MEM >= M[2] : [32]20 mV/div

  3.001  HEAD         -2 50 mV/div
  3.002  TARGET

  3.003  LABEL        50mV/div_BW_REF

  3.004  DO
  3.005  IEEE         CH[M100]:VOLTS 50E-3
  3.006  IEEE         HOR:MAIN:SCALE 200E-9
  3.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  3.007  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
  3.008  9500         300mVpp                      10MH           LS    S  L
  3.009  WAIT         [D2000]
  3.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  3.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  3.012  JMPL         END                          @Abort
  3.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  3.014  UNTIL        @Triggered

  3.015  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  3.016  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  3.017  JMPL         END                          @Abort
  3.018  IEEE         MEASU:IMM:VAL?[I]
  3.019  JMPL         50mV/div_BW_REF              MEM == 9.9e+37
  3.020  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  3.021  LABEL        50mV/div_BW_TEST

  3.022  DO
  3.023  IEEE         HOR:MAIN:SCALE 1E-9
  3.024  IEEE         TRIG:A:EDGE:SOURCE LINE
  3.025  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  3.026  MATH         MEM = M[110]
  3.027  9500         300mVpp                      GH             LS    S  L
  3.028  WAIT         [D2000]
  3.029  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  3.030  UNTIL        @Triggered

  3.031  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  3.032  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  3.033  JMPL         END                          @Abort
  3.034  IEEE         MEASU:IMM:VAL?[I]
  3.035  JMPL         50mV/div_BW_TEST             MEM == 9.9e+37
  3.036  EVAL   -e MEM >= M[2] : [32]50 mV/div

  4.001  HEAD         -2 100 mV/div
  4.002  TARGET

  4.003  LABEL        100mV/div_BW_REF

  4.004  DO
  4.005  IEEE         CH[M100]:VOLTS 100E-3
  4.006  IEEE         HOR:MAIN:SCALE 200E-9
  4.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  4.007  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
  4.008  9500         600mVpp                      10MH           LS    S  L
  4.009  WAIT         [D2000]
  4.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  4.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  4.012  JMPL         END                          @Abort
  4.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  4.014  UNTIL        @Triggered

  4.015  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  4.016  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  4.017  JMPL         END                          @Abort
  4.018  IEEE         MEASU:IMM:VAL?[I]
  4.019  JMPL         100mV/div_BW_REF             MEM == 9.9e+37
  4.020  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  4.021  LABEL        100mV/div_BW_TEST

  4.022  DO
  4.023  IEEE         HOR:MAIN:SCALE 1E-9
  4.024  IEEE         TRIG:A:EDGE:SOURCE LINE
  4.025  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  4.026  MATH         MEM = M[110]
  4.027  9500         600mVpp                      GH             LS    S  L
  4.028  WAIT         [D2000]
  4.029  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  4.030  UNTIL        @Triggered

  4.031  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  4.032  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  4.033  JMPL         END                          @Abort
  4.034  IEEE         MEASU:IMM:VAL?[I]
  4.035  JMPL         100mV/div_BW_TEST            MEM == 9.9e+37
  4.036  EVAL   -e MEM >= M[2] : [32]100 mV/div

  5.001  HEAD         -2 200 mV/div
  5.002  TARGET

  5.003  LABEL        200mV/div_BW_REF

  5.004  DO
  5.005  IEEE         CH[M100]:VOLTS 200E-3
  5.006  IEEE         HOR:MAIN:SCALE 200E-9
  5.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  5.007  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
  5.008  9500         1.2Vpp                       10MH           LS    S  L
  5.009  WAIT         [D2000]
  5.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  5.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  5.012  JMPL         END                          @Abort
  5.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  5.014  UNTIL        @Triggered

  5.015  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  5.016  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  5.017  JMPL         END                          @Abort
  5.018  IEEE         MEASU:IMM:VAL?[I]
  5.019  JMPL         200mV/div_BW_REF             MEM == 9.9e+37
  5.020  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  5.021  LABEL        200mV/div_BW_TEST

  5.022  DO
  5.023  IEEE         HOR:MAIN:SCALE 1E-9
  5.024  IEEE         TRIG:A:EDGE:SOURCE LINE
  5.025  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  5.026  MATH         MEM = M[110]
  5.027  9500         1.2Vpp                       GH             LS    S  L
  5.028  WAIT         [D2000]
  5.029  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  5.030  UNTIL        @Triggered

  5.031  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  5.032  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  5.033  JMPL         END                          @Abort
  5.034  IEEE         MEASU:IMM:VAL?[I]
  5.035  JMPL         200mV/div_BW_TEST            MEM == 9.9e+37
  5.036  EVAL   -e MEM >= M[2] : [32]200 mV/div

  6.001  HEAD         -2 500 mV/div
  6.002  TARGET

  6.003  LABEL        500mV/div_BW_REF

  6.004  DO
  6.005  IEEE         CH[M100]:VOLTS 500E-3
  6.006  IEEE         HOR:MAIN:SCALE 200E-9
  6.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  6.007  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
# 9500 maximum is 2.224Vpp  > 2.5GHz.
  6.008  9500         2.2Vpp                       10MH           LS    S  L
  6.009  WAIT         [D2000]
  6.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  6.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  6.012  JMPL         END                          @Abort
  6.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  6.014  UNTIL        @Triggered

  6.015  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  6.016  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  6.017  JMPL         END                          @Abort
  6.018  IEEE         MEASU:IMM:VAL?[I]
  6.019  JMPL         500mV/div_BW_REF             MEM == 9.9e+37
  6.020  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  6.021  LABEL        500mV/div_BW_TEST

  6.022  DO
  6.023  IEEE         HOR:MAIN:SCALE 1E-9
  6.024  IEEE         TRIG:A:EDGE:SOURCE LINE
  6.025  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  6.026  MATH         MEM = M[110]
# 9500 maximum is 2.224 Vpp  > 2.5 GHz.
  6.027  9500         2.2Vpp                       GH             LS    S  L
  6.028  WAIT         [D2000]
  6.029  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  6.030  UNTIL        @Triggered

  6.031  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  6.032  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  6.033  JMPL         END                          @Abort
  6.034  IEEE         MEASU:IMM:VAL?[I]
  6.035  JMPL         500mV/div_BW_TEST            MEM == 9.9e+37
  6.036  EVAL   -e MEM >= M[2] : [32]500 mV/div

  7.001  HEAD         -2 1 V/div
  7.002  TARGET

  7.003  LABEL        1V/div_BW_REF

  7.004  DO
  7.005  IEEE         CH[M100]:VOLTS 1
  7.006  IEEE         HOR:MAIN:SCALE 200E-9
  7.007  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  7.007  IEEE         ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
# 9500 maximum is 2.224 Vpp  > 2.5 GHz.
  7.008  9500         2.2Vpp                       10MH           LS    S  L
  7.009  WAIT         [D2000]
  7.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  7.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.012  JMPL         END                          @Abort
  7.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  7.014  UNTIL        @Triggered

  7.015  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  7.016  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.017  JMPL         END                          @Abort
  7.018  IEEE         MEASU:IMM:VAL?[I]
  7.019  JMPL         1V/div_BW_REF                MEM == 9.9e+37
  7.020  MATH         M[2] = MEM * (SQRT(2) / 2.0)

  7.021  LABEL        1V/div_BW_TEST

  7.022  DO
  7.023  IEEE         HOR:MAIN:SCALE 1E-9
  7.024  IEEE         TRIG:A:EDGE:SOURCE LINE
  7.025  IEEE         ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  7.026  MATH         MEM = M[110]
# 9500 maximum is 2.224 Vpp  > 2.5 GHz.
  7.027  9500         2.2Vpp                       GH             LS    S  L
  7.028  WAIT         [D2000]
  7.029  CALL         Sub Tek TDS6000 Check for Trigger IEEE
  7.030  UNTIL        @Triggered

  7.031  MATH         @Cmd = "ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN"
  7.032  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.033  JMPL         END                          @Abort
  7.034  IEEE         MEASU:IMM:VAL?[I]
  7.035  JMPL         1V/div_BW_TEST               MEM == 9.9e+37
  7.036  EVAL   -e MEM >= M[2] : [32]1 V/div

  8.001  HEAD         -2
  8.002  9500         *                                                 S
  8.003  HEAD
  8.004  END

# =====  Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3  =============

  8.005  LABEL        CHANNEL_ISOLATION

  8.006  IF           M[100] == 1
  8.007  RSLT         =
  8.008  RSLT         =CHANNEL ISOLATION (CROSSTALK)
  8.009  ENDIF

  8.010  RSLT         =
  8.011  HEAD         CHANNEL ISOLATION
  8.012  TARGET
  8.013  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  8.014  JMPL         END                          @Abort
  8.015  CALL         Sub Tek TDSxxx Channel Selection
  8.016  JMPL         END                          @Abort
  8.017  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  8.018  IEEE         HORIZONTAL:MAIN:SCALE 1.25E-9
  8.019  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
  8.020  IEEE         ACQ:MODE AVERAGE;NUMAVG 16;REPET ON
  8.021  IEEE         MEASU:IMMED:TYPE AMPLITUDE
# set the command for the measurement
  8.022  MATH         @MeasQuery = "MEASU:IMM:VAL?"

# Select 100 mV/div
  8.023  MATH         S[20] = "100 mV/div"
  8.024  MATH         M[200] = 100E-3
  8.025  IEEE         CH1:VOLTS [M200]
  8.025  IEEE         CH2:VOLTS [M200]
  8.025  IEEE         CH3:VOLTS [M200]
  8.025  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.026  MATH         M[17] = 1E-3

  8.027  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.028  9500         1Vpp                         1.5GH          LS    S  L
# Press PUSH TO SET 50%
  8.029  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.030  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.031  JMPL         END                          @Abort
  8.032  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.033  MATH         M[104] = M[101]
  8.034  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.035  JMPL         END                          @Abort
  8.036  MATH         M[104] = M[102]
  8.037  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.038  JMPL         END                          @Abort
  8.039  MATH         M[104] = M[103]
  8.040  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.041  JMPL         END                          @Abort

# Select 50 mV/div
  8.042  MATH         S[20] = "50 mV/div"
  8.043  MATH         M[200] = 50E-3
  8.044  IEEE         CH1:VOLTS [M200]
  8.044  IEEE         CH2:VOLTS [M200]
  8.044  IEEE         CH3:VOLTS [M200]
  8.044  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.045  MATH         M[17] = 1E-3

  8.046  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.047  9500         500mVpp                      1.5GH          LS    S  L
# Press PUSH TO SET 50%
  8.048  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.049  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.050  JMPL         END                          @Abort
  8.051  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.052  MATH         M[104] = M[101]
  8.053  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.054  JMPL         END                          @Abort
  8.055  MATH         M[104] = M[102]
  8.056  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.057  JMPL         END                          @Abort
  8.058  MATH         M[104] = M[103]
  8.059  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.060  JMPL         END                          @Abort

# Select 10 mV/div
  8.061  MATH         S[20] = "10 mV/div"
  8.062  MATH         M[200] = 10E-3
  8.063  IEEE         CH1:VOLTS [M200]
  8.063  IEEE         CH2:VOLTS [M200]
  8.063  IEEE         CH3:VOLTS [M200]
  8.063  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.064  MATH         M[17] = 1E-3

  8.065  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.066  9500         100mVpp                      1.5GH          LS    S  L
# Press PUSH TO SET 50%
  8.067  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.068  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.069  JMPL         END                          @Abort
  8.070  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.071  MATH         M[104] = M[101]
  8.072  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.073  JMPL         END                          @Abort
  8.074  MATH         M[104] = M[102]
  8.075  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.076  JMPL         END                          @Abort
  8.077  MATH         M[104] = M[103]
  8.078  CALL         Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
  8.079  JMPL         END                          @Abort

# Switch timebase for 4GHz tests.
  8.080  IEEE         HORIZONTAL:MAIN:SCALE 500E-12

# Select 100 mV/div
  8.081  MATH         S[20] = "100 mV/div"
  8.082  MATH         M[200] = 100E-3
  8.083  IEEE         CH1:VOLTS [M200]
  8.083  IEEE         CH2:VOLTS [M200]
  8.083  IEEE         CH3:VOLTS [M200]
  8.083  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.084  MATH         M[17] = 1E-3

  8.085  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.086  9500         1Vpp                         4GH            LS    S  L
# Press PUSH TO SET 50%
  8.087  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.088  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.089  JMPL         END                          @Abort
  8.090  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.091  MATH         M[104] = M[101]
  8.092  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.093  JMPL         END                          @Abort
  8.094  MATH         M[104] = M[102]
  8.095  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.096  JMPL         END                          @Abort
  8.097  MATH         M[104] = M[103]
  8.098  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.099  JMPL         END                          @Abort

# Select 50 mV/div
  8.100  MATH         S[20] = "50 mV/div"
  8.101  MATH         M[200] = 50E-3
  8.102  IEEE         CH1:VOLTS [M200]
  8.102  IEEE         CH2:VOLTS [M200]
  8.102  IEEE         CH3:VOLTS [M200]
  8.102  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.103  MATH         M[17] = 1E-3

  8.104  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.105  9500         500mVpp                      4GH            LS    S  L
# Press PUSH TO SET 50%
  8.106  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.107  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.108  JMPL         END                          @Abort
  8.109  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.110  MATH         M[104] = M[101]
  8.111  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.112  JMPL         END                          @Abort
  8.113  MATH         M[104] = M[102]
  8.114  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.115  JMPL         END                          @Abort
  8.116  MATH         M[104] = M[103]
  8.117  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.118  JMPL         END                          @Abort

# Select 10 mV/div
  8.119  MATH         S[20] = "10 mV/div"
  8.120  MATH         M[200] = 10E-3
  8.121  IEEE         CH1:VOLTS [M200]
  8.121  IEEE         CH2:VOLTS [M200]
  8.121  IEEE         CH3:VOLTS [M200]
  8.121  IEEE         CH4:VOLTS [M200]
# Specify "settle signal" criterion.
  8.122  MATH         M[17] = 1E-3

  8.123  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  8.124  9500         100mVpp                      4GH            LS    S  L
# Press PUSH TO SET 50%
  8.125  MATH         @Cmd = "TRIG:A SETLEVEL"
  8.126  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.127  JMPL         END                          @Abort
  8.128  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  8.129  MATH         M[104] = M[101]
  8.130  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.131  JMPL         END                          @Abort
  8.132  MATH         M[104] = M[102]
  8.133  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
  8.134  JMPL         END                          @Abort
  8.135  JMPL         CROSSTALK_4GHz_10mV/div_PART_3

  8.136  EVAL   Increment test number

  9.001  LABEL        CROSSTALK_4GHz_10mV/div_PART_3
  9.002  MATH         M[104] = M[103]
  9.003  CALL         Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3

  9.004  9500         *                                                 S

  9.005  IF           M[100] == 4
  9.006  DISP         Disconnect CH 5 Active Head from CH 4 input module.
  9.007  ENDIF

  9.008  HEAD
  9.009  END

  9.010  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) Pulse Trigger IEEE /9500+5Ch+G3  ============

 10.001  LABEL        PULSE_WIDTH_TRIGGERING
 10.002  RSLT         =
 10.003  HEAD         {ACCURACY FOR PULSE-WIDTH TRIGGERING}
 10.004  RSLT         =
 10.005  HEAD         -2{100 MHz}
 10.006  TARGET
 10.007  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
 10.008  JMPL         END                          @Abort
 10.009  IEEE         HOR:MAIN:SCALE 10E-9
 10.010  DISP         Connect CH 5 Active Head to CH 1 input adapter
 10.010  DISP         via a SMA 10x (20dB) attenuator and a SMA elbow.
 10.011  9500         100MH                        5Vpp           LS    S  L
 10.012  MATH         @Cmd = "TRIG:A SETLEVEL"
 10.013  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 10.014  JMPL         END                          @Abort
 10.015  IEEE         TRIG:A:MODE NORMAL;TYPE PULSE
 10.016  IEEE         TRIG:A:PULSE:CLASS WIDTH;WIDTH:WHEN WITHIN
 10.017  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT 10e-9;LOWLIMIT 2e-9
 10.018  MATH         @Cmd = "TRIG:A SETLEVEL"
 10.019  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ

# Now we start the evaluation Test.  Lower Limit will be tested first.
 10.020  MATH         MEM = 2E-9

 10.021  DO
 10.022  MATH         MEM = MEM + 0.2E-9
 10.023  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
 10.024  HEAD         -2 100 MHz, Lower Limit is [MEM2] ns

 10.025  IF           MEM <= 6.5E-9
 10.026  IEEE         TRIG:A:PULSE:WIDTH:LOWLIMIT [MEM][D250]
 10.027  ENDIF

 10.028  IEEE         TRIG:STATE?[I$]
 10.029  UNTIL        (MEM > 6.5E-9) || NOT(FIND(MEM2, "TRIG", 1))

 10.030  LABEL        LOWER_LIMIT_PULSE_EVAL1
 10.031  MATH         MEM = MEM / 1E-9
# Lower Limit must be within 3.5ns to 6.5ns after the DUT loses triggering.
 10.032  MATH         MEM1 = (MEM >= 3.5) + (MEM <= 6.5)
 10.033  EVAL   -e MEM1 == 2 : [32]Lower Limit: [MEM] ns, Bounds: 3.5 to 6.5

 11.001  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT 10E-9
 11.002  IEEE         TRIG:A:PULSE:WIDTH:LOWLIMIT 2E-9
 11.003  9500         100MH                        5Vpp           LS    S  L
 11.004  IEEE         TRIG:A SETLEVEL
 11.005  MATH         @Cmd = "TRIG:A SETLEVEL"
 11.006  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 11.007  JMPL         END                          @Abort
 11.008  MATH         MEM = 10E-9

# Determine upper limit setting at which DUT loses triggering.
 11.009  DO
 11.010  MATH         MEM = MEM - 0.2E-9
 11.011  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
 11.012  HEAD         -2 100 MHz, Upper Limit: [MEM2] ns

 11.013  IF           MEM >= 2.5E-9
 11.014  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT [MEM][D250]
 11.015  ENDIF

 11.016  IEEE         TRIG:STATE?[I$]
 11.017  UNTIL        (MEM > 2.5E-9) || NOT(FIND(MEM2, "TRIG", 1))

 11.018  MATH         MEM = MEM / 1E-9
# Upper Limit must be within 3.5 ns to 6.5 ns after the DUT loses triggering.
 11.019  MATH         MEM1 = (MEM >= 3.5) + (MEM <= 6.5)
 11.020  EVAL   -e MEM1 == 2 : [32]Upper Limit: [MEM] ns, Bounds: 3.5 to 6.5

# Next we Test at 250kHz
 12.001  RSLT         =
 12.002  HEAD         -2{250 kHz}
 12.003  TARGET
# Set up the Pulse Trigger Mode
# Set the horizontal time to 4 µs per division
 12.004  IEEE         HOR:MAIN:SCALE 4E-6
 12.005  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT 4E-6
 12.006  IEEE         TRIG:A:PULSE:WIDTH:LOWLIMIT 500E-9
 12.007  9500         250kH                        5Vpp           LS    S  L

# We are Putting in a voltage which will overdrive the display
# This is per the manual
 12.008  IEEE         CH1:VOLTS 20E-3
 12.009  MATH         @Cmd = "TRIG:A SETLEVEL"
 12.010  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 12.011  JMPL         END                          @Abort

# Now we start the evaluation Test.  Lower Limit will be tested first
 12.012  MATH         MEM = 0.5E-6

 12.013  DO
 12.014  MATH         MEM = MEM + 0.02E-6
 12.015  MATH         MEM2 = FMT((MEM / 1E-6), "%3.2f")
 12.016  HEAD         -2 250 kHz, Lower Limit: [MEM2] µs

 12.017  IF           MEM <= 3.0E-6
 12.018  IEEE         TRIG:A:PULSE:WIDTH:LOWLIMIT [MEM][D250]
 12.019  ENDIF

 12.020  IEEE         TRIG:STATE?[I$]
 12.021  UNTIL        (MEM > 3.0E-6) || NOT(FIND(MEM2, "TRIG", 1))

 12.022  MATH         MEM = MEM / 1E-6
# Lower Limit must be within 1 µs to 3 µs after the DUT loses triggering.
 12.023  MEM2         = Lower Limit: [MEM] µs, Bounds: 1.9 to 2.1
 12.024  EVAL   -e (MEM >= 1.9) && (MEM <= 2.1) : [MEM2]

# Now we do the Upper Limit
 13.001  IEEE         TRIG:A:PULSE:WIDTH:LOWLIMIT 500E-9
 13.002  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT 4E-6
 13.003  9500         250kH                        5Vpp           LS    S  L
 13.004  MATH         @Cmd = "TRIG:A SETLEVEL"
 13.005  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 13.006  JMPL         END                          @Abort
 13.007  MATH         MEM = 4E-6

# Determine upper limit setting at which DUT loses triggering.
 13.008  LABEL        UPPER_LIMIT_PULSE_LOOP2
 13.009  DO
 13.010  MATH         MEM = MEM - 0.02e-6
 13.011  MATH         MEM2 = FMT((MEM / 1E-6), "%3.2f")
 13.012  HEAD         -2 250 kHz, Upper Limit: [MEM2] µs

 13.013  IF           MEM >= 1.0E-6
 13.014  IEEE         TRIG:A:PULSE:WIDTH:HIGHLIMIT [MEM][D250]
 13.015  ENDIF

 13.016  IEEE         TRIG:STATE?[I$]
 13.017  UNTIL        (MEM < 1.0E-6) || NOT(FIND(MEM2, "TRIG", 1))

 13.018  MATH         MEM = MEM / 1E-6
# Upper Limit must be within 1 µs to 3 µs after the DUT loses triggering.
 13.019  MEM2         = Upper Limit: [MEM]us, Bounds: 1.9 to 2.1
 13.020  EVAL   -e (MEM >= 1.9) && (MEM <= 2.1) : [MEM2]

 14.001  HEAD         -2
 14.002  9500         *                                                 S
 14.003  DISP         Disconnect the CH 5 Active Head from the 10x attenuator.
 14.003  DISP         Disconnect the attenuator from the CH 1 input adapter.

 14.004  LABEL        END
 14.005  9500         *                                                 S
 14.006  HEAD
 14.007  END
