﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Offset IEEE /9500
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
DATE:                  2018-09-10 14:02:35
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       28
NUMBER OF LINES:       384
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Source:
#        Tektronix TDS6000 Series Service Manual,
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DC_VOLTAGE_MEASUREMENT       PSUB("DC Voltage")
  1.002  JMPL         OFFSET                       PSUB("Offset")
  1.003  JMPL         MAXIMUM_INPUT_VOLTAGE        PSUB("Max Input Voltage")
  1.004  JMPL         INPUT_IMPEDANCE              PSUB("Input Impedance")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500  ======================

  2.001  LABEL        DC_VOLTAGE_MEASUREMENT

  2.002  IF           M[100] == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         DC VOLTAGE MEASUREMENT: {Channel [M100]}
  2.008  RSLT         =
  2.009  HEAD         -2{50 mV/div}
  2.010  TARGET       -p

  2.011  IF           M[100] == 1
  2.012  DISP         Connect the CH 1 Active Head to DUT CH 1 input module.
  2.012  DISP         Connect the CH 2 Active Head to DUT CH 2 input module.
  2.012  DISP         Connect the CH 3 Active Head to DUT CH 3 input module.
  2.012  DISP         Connect the CH 4 Active Head to DUT CH 4 input module.
  2.012  DISP
  2.012  DISP         Use an appropriate adapter to connect the Active Head
  2.012  DISP         to the input module e.g., SMA(m) to BNC(f).
  2.013  DISP         The next connection change occurs in
  2.013  DISP         approximately 15 minutes.
  2.014  ENDIF

  2.015  JMPL         END                          @Abort
  2.016  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  2.017  JMPL         END                          @Abort
  2.018  CALL         Sub Tek TDSxxx Channel Selection
  2.019  JMPL         END                          @Abort
  2.020  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  2.021  IEEE         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.022  IEEE         MEASU:IMMED:TYPE MEAN;SOURCE CH[M100]
  2.023  MATH         @Cmd = "ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER SEQUENCE"
  2.024  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.025  JMPL         END                          @Abort
# set the command for the measurement
  2.026  MATH         @MeasQuery = "MEASU:IMM:VAL?"

  2.027  MATH         M[17] = 0.01E-3
  2.028  IEEE         CH[M100]:POSITION -5;OFFS +0.5;VOLTS 50E-3
  2.029  9500         900.00mV                                          S  L
  2.030  TARGET       -m
  2.031  CALL         Sub Tek TDS6000 Record Reading IEEE
  2.032  JMPL         END                          @Abort
  2.033  MATH         MEM = MEM / 1E-3
  2.034  MEMCX  900   900.00mV       16.50U

  3.001  IEEE         CH[M100]:POSITION +5;OFFS -0.5
  3.002  9500         -900.00mV                                         S  L
  3.003  TARGET       -m
  3.004  CALL         Sub Tek TDS6000 Record Reading IEEE
  3.005  JMPL         END                          @Abort
  3.006  MATH         MEM = MEM / 1E-3
  3.007  MEMCX  900   -900.00mV      16.50U

  4.001  RSLT         =
  4.002  HEAD         -2{100 mV/div}
  4.003  TARGET       -p
  4.004  MATH         M[17] = 0.01
  4.005  IEEE         CH[M100]:POSITION -5;OFFS +5.0;VOLTS 100E-3
  4.006  9500         5.50V                                             S  L
  4.007  TARGET       -m
  4.008  CALL         Sub Tek TDS6000 Record Reading IEEE
  4.009  JMPL         END                          @Abort
  4.010  MEMCX  5.5   5.50V          0.05U

  5.001  IEEE         CH[M100]:POSITION +5;OFFS -5.0
  5.002  9500         -5.50V                                            S  L
  5.003  TARGET       -m
  5.004  CALL         Sub Tek TDS6000 Record Reading IEEE
  5.005  JMPL         END                          @Abort
  5.006  MEMCX  5.5   -5.50V         0.05U

  6.001  RSLT         =
  6.002  HEAD         -2{1 V/div}
  6.003  TARGET       -p
  6.004  IEEE         CH[M100]:POSITION -5;OFFS +2.5;VOLTS 1
  6.005  9500         4.50V                                             S  L
  6.006  TARGET       -m
  6.007  CALL         Sub Tek TDS6000 Record Reading IEEE
  6.008  JMPL         END                          @Abort
  6.009  MEMCX  4.5   4.50V          0.30U

  7.001  IEEE         CH[M100]:POSITION +5;OFFS -2.5
  7.002  9500         -4.50V                                            S  L
  7.003  TARGET       -m
  7.004  CALL         Sub Tek TDS6000 Record Reading IEEE
  7.005  JMPL         END                          @Abort
  7.006  MEMCX  4.5   -4.50V         0.30U

  8.001  HEAD         -2
  8.002  9500         *                                                 S
  8.003  HEAD
  8.004  END

  8.005  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) Offset IEEE /9500  ==========================

  9.001  LABEL        OFFSET

  9.002  IF           M[100] == 1
  9.003  RSLT         =
  9.004  RSLT         =OFFSET
  9.005  ENDIF

  9.006  RSLT         =
  9.007  HEAD         OFFSET: {Channel [M100]}
  9.008  MATH         @MeasQuery = "MEASU:IMM:VAL?"
  9.009  RSLT         =
  9.010  HEAD         -2{50 mV/div}
  9.011  MATH         M[17] = 0.01E-3
  9.012  TARGET       -p
  9.013  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  9.014  JMPL         END  @Abort
  9.015  CALL         Sub Tek TDSxxx Channel Selection
  9.016  JMPL         END                          @Abort
  9.017  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  9.018  IEEE         CH[M100]:POSITION 0E+0
  9.018  IEEE         HORIZONTAL:MAIN:SCALE 1.0E-3
  9.018  IEEE         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  9.019  IEEE         MEASU:IMMED:TYPE MEAN;SOURCE CH[M100]
  9.020  MATH         @Cmd = "ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER SEQUENCE"
  9.021  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  9.022  JMPL         END                          @Abort
  9.023  IEEE         CH[M100]:OFFS 0.5;VOLTS 50E-3
  9.024  9500         500.00mV                                          S  L
  9.025  TARGET       -m
  9.026  CALL         Sub Tek TDS6000 Record Reading IEEE
  9.027  JMPL         END                          @Abort
  9.028  MATH         MEM = MEM / 1E-3
  9.029  MEMCX  500   500.00mV       8.25U

 10.001  IEEE         CH[M100]:OFFS 0.0
 10.002  9500         0.00mV                                            S  L
 10.003  TARGET       -m
 10.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 10.005  JMPL         END                          @Abort
 10.006  MATH         MEM = MEM / 1E-3
 10.007  MEMCX  500   0.00mV         6.50U

 11.001  IEEE         CH[M100]:OFFS -0.5
 11.002  9500         -500.00mV                                         S  L
 11.003  TARGET       -m
 11.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 11.005  JMPL         END                          @Abort
 11.006  MATH         MEM = MEM / 1E-3
 11.007  MEMCX  500   -500.00mV      8.25U

 12.001  RSLT         =
 12.002  HEAD         -2{100 mV/div}
 12.003  MATH         M[17] = 0.0001
 12.004  TARGET       -p
 12.005  IEEE         CH[M100]:OFFS 5;VOLTS 100E-3
 12.006  9500         5.0000V                                           S  L
 12.007  TARGET       -m
 12.008  CALL         Sub Tek TDS6000 Record Reading IEEE
 12.009  JMPL         END                          @Abort
 12.010  MEMCX  5     5.0000V        0.0425U

 13.001  IEEE         CH[M100]:OFFS 0
 13.002  9500         0.0000V                                           S  L
 13.003  TARGET       -m
 13.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 13.005  JMPL         END                          @Abort
 13.006  MEMCX  5     0.0000V        0.025U

 14.001  IEEE         CH[M100]:OFFS -5
 14.002  9500         -5.0000V                                          S  L
 14.003  TARGET       -m
 14.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 14.005  JMPL         END                          @Abort
 14.006  MEMCX  5     -5.0000V       0.0425U

 15.001  RSLT         =
 15.002  HEAD         -2{500 mV/div}
 15.003  MATH         M[17] = 0.0001
 15.004  TARGET       -p
 15.005  IEEE         CH[M100]:OFFS 5;VOLTS 500E-3
 15.006  9500         5.0000V                                           S  L
 15.007  TARGET       -m
 15.008  CALL         Sub Tek TDS6000 Record Reading IEEE
 15.009  JMPL         END                          @Abort
 15.010  MEMCX  5     5.0000V        0.0825U

 16.001  IEEE         CH[M100]:OFFS 0
 16.002  9500         0.0000V                                           S  L
 16.003  TARGET       -m
 16.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 16.005  JMPL         END                          @Abort
 16.006  MEMCX  5     0.0000V        0.065U

 17.001  IEEE         CH[M100]:OFFS -5
 17.002  9500         -5.0000V                                          S  L
 17.003  TARGET       -m
 17.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 17.005  JMPL         END                          @Abort
 17.006  MEMCX  5     -5.0000V       0.0825U

 18.001  RSLT         =
 18.002  HEAD         -2{1 V/div}
 18.003  MATH         M[17] = 0.0001
 18.004  TARGET       -p
 18.005  IEEE         CH[M100]:OFFS 2.5;VOLTS 1
 18.006  9500         2.50000V                                          S  L
 18.007  TARGET       -m
 18.008  CALL         Sub Tek TDS6000 Record Reading IEEE
 18.009  JMPL         END                          @Abort
 18.010  MEMCX  2.5   2.50000V       0.12375U

 19.001  IEEE         CH[M100]:OFFS 0
 19.002  9500         0.00000V                                          S  L
 19.003  TARGET       -m
 19.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 19.005  JMPL         END                          @Abort
 19.006  MEMCX  2.5   0.00000V       0.11500U

 20.001  IEEE         CH[M100]:OFFS -2.5
 20.002  9500         -2.50000V                                         S  L
 20.003  TARGET       -m
 20.004  CALL         Sub Tek TDS6000 Record Reading IEEE
 20.005  JMPL         END                          @Abort
 20.006  MEMCX  2.5   -2.50000V      0.12375U

 21.001  HEAD         -2
 21.002  9500         *                                                 S
 21.003  HEAD
 21.004  END

 21.005  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500  ===============

 22.001  LABEL        MAXIMUM_INPUT_VOLTAGE

 22.002  IF           M[100] == 1
 22.003  RSLT         =
 22.004  RSLT         =MAXIMUM INPUT VOLTAGE
 22.005  ENDIF

 22.006  RSLT         =
 22.007  HEAD         MAXIMUM INPUT VOLTAGE: {Channel [M100]}
 22.008  RSLT         =
 22.009  HEAD         -2{50 mV/div}
 22.010  TARGET
 22.011  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
 22.012  JMPL         END                          @Abort
 22.013  CALL         Sub Tek TDSxxx Channel Selection
 22.014  JMPL         END                          @Abort
 22.015  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
 22.016  IEEE         CH[M100]:POSITION -3
 22.017  IEEE         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
 22.018  MATH         @Cmd = "ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER RUNSTOP"
 22.019  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 22.020  JMPL         END                          @Abort
 22.021  IEEE         ACQ:STATE RUN
 22.022  IEEE         CH[M100]:VOLTS 50E-3;COUP DC
 22.023  9500         1V                                                S  L
 22.024  WAIT         -t 5 Settling...
 22.025  9500         *                                                 S
 22.026  IEEE         CH[M100]:COUP?[I$]
 22.027  EVAL   -e ZCMP(MEM2, "DC") : [32]1 V

 23.001  CALL         Sub Tek TDSxxx Channel Selection
 23.002  JMPL         END                          @Abort
 23.003  IEEE         CH[M100]:VOLTS 50E-3;COUP DC
 23.004  9500         3V                                                S  L
 23.005  WAIT         -t 5 Settling...
 23.006  9500         *                                                 S
 23.007  IEEE         CH[M100]:COUP?[I$]
 23.008  EVAL   -e ZCMP(MEM2, "GND") : [32]3 V

 24.001  RSLT         =
 24.002  HEAD         -2{1 V/div}
 24.003  TARGET
 24.004  CALL         Sub Tek TDSxxx Channel Selection
 24.005  JMPL         END                          @Abort
 24.006  IEEE         CH[M100]:VOLTS 1;COUP DC
 24.007  9500         5V                                                S  L
 24.008  WAIT         -t 5 Settling...
 24.009  9500         *                                                 S
 24.010  IEEE         CH[M100]:COUP?[I$]
 24.011  EVAL   -e ZCMP(MEM2, "DC") : [32]5 V

 25.001  CALL         Sub Tek TDSxxx Channel Selection
 25.002  JMPL         END                          @Abort
 25.003  IEEE         CH[M100]:VOLTS 1;COUP DC
 25.004  9500         10V                          50J            OP    S  L
 25.005  IEEE         CH[M100]:COUP?[I$]
 25.006  EVAL   -e ZCMP(MEM2, "GND") : [32]10 V

 26.001  HEAD         -2
 26.002  9500         *                                                 S
 26.003  HEAD
 26.004  END

# =====  Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500  =================

 26.005  LABEL        INPUT_IMPEDANCE

 26.006  IF           M[100] == 1
 26.007  RSLT         =
 26.008  RSLT         =INPUT IMPEDANCE
 26.009  ENDIF

 26.010  RSLT         =
 26.011  HEAD         INPUT RESISTANCE: {Channel [M100]}
 26.012  RSLT         =
 26.013  HEAD         -2{10 mV/div}
 26.014  TSET         NTHROW = 1; NMEAS = 1
 26.015  TARGET       -p
 26.016  CALL         Sub Tek TDSxxx Channel Selection
 26.017  JMPL         END                          @Abort
 26.018  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
 26.019  IEEE         CH[M100]:VOLTS 10E-3
 26.020  TARGET       -m
 26.021  9500   50    50.00Z         1.25U                           ZM    L

 27.001  RSLT         =
 27.002  HEAD         -2{100 mV/div}
 27.003  TSET         NTHROW = 1; NMEAS = 1
 27.004  TARGET       -p
 27.005  IEEE         CH[M100]:VOLTS 100E-3
 27.006  TARGET       -m
 27.007  9500   50    50.00Z         1.25U                           ZM    L

 28.001  LABEL        END
 28.002  HEAD         -2
 28.003  9500         *                                                 S
 28.004  HEAD
 28.005  END
