﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Output Signals IEEE /9500
DATE:                  2018-09-10 14:08:59
AUTHOR:                Fluke
REVISION:              $Revision: 24953 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       239
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9520 on channel 1
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DELTA_TIME                   PSUBI("Delta Time")
  1.002  JMPL         OUTPUT_SIGNALS               PSUBI("Output Signals")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500  ======================

  2.001  LABEL        DELTA_TIME

  2.002  IF           M[100] == 1
  2.003  RSLT         =
  2.004  RSLT         =DELTA_TIME
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         DELTA_TIME: {Channel [M100]}
  2.008  TARGET

  2.009  LABEL        START_DELTA_TIME

  2.010  IF           M[100] == 1

  2.011  DO
  2.012  PIC          tds6000_delta_time_9530.jpg
  2.013  OPBR         -z In the DELTA TIME connections just completed,
  2.013  OPBR         20" cables MUST be used to achieve the proper
  2.013  OPBR         test results.
  2.013  OPBR
  2.013  OPBR         Were the specified cables used?
  2.014  UNTIL        MEM1

  2.015  ELSE
  2.016  MATH         L[1] = M[100]; L[2] = L[1] - 1
  2.017  DISP         Leaving CH 5 Active Head connected to the input module,
  2.017  DISP         disconnect the assembly from the DUT.
  2.017  DISP
  2.017  DISP         Move CH [L1] input module to DUT CH [L2].
  2.017  DISP
  2.017  DISP         Insert CH 5 Active Head and input module into
  2.017  DISP         DUT CH [L1].
  2.018  ENDIF

  2.019  DO
  2.020  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  2.021  JMPL         END                          @Abort
  2.022  CALL         Sub Tek TDSxxx Channel Selection
  2.023  JMPL         END                          @Abort
  2.024  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  2.025  M9500                       CH1
  2.026  9500         500mVpp                      1MH            FE    S  L
  2.027  MATH         @Cmd = "AUTOSET EXECUTE"
  2.028  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.029  JMPL         END                          @Abort
  2.030  MATH         @Cmd = "TRIG:A SETLEVEL"
  2.031  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.032  JMPL         END                          @Abort
  2.033  MATH         @Cmd = "ACQ:STATE STOP"
# Select Real Time acquisition mode.
  2.034  IEEE         ACQ:REPET OFF
  2.035  IEEE         HOR:MAIN:SCALE 5E-9
  2.036  IEEE         CH[M100]:VOLT 20E-3
  2.036  IEEE         CH[M100]:POSITION -3.1
  2.036  IEEE         TRIG:A:LEVEL 60E-3
  2.037  IEEE         MEASU:MEAS1:TYPE PWIDTH;SOURCE CH[M100];STATE ON
  2.038  IEEE         MEASU:STATISTICS:MODE ALL;COUNT RESET;WEIGHTING 1000
  2.039  IEEE         MEASU:REFLEVEL:METHOD ABSOLUTE;ABSOLUTE:MID 150E-3
  2.040  MATH         @Cmd = "ACQ:STATE RUN"
  2.041  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.042  JMPL         END                          @Abort
  2.043  WAIT         -t 30 Calculating Statistics...
  2.044  MATH         @Cmd = "ACQ:STATE STOP"
  2.045  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.046  JMPL         END                          @Abort
  2.047  IEEE         MEASU:MEAS1:MEAN?[I$]
  2.048  MATH         ValidReading = NOT(ZCMP(MEM2, "99.0000E+36"))

  2.049  IF           ValidReading
  2.050  MATH         L[1] = MEM2; MEM1 = 0
  2.051  ELSE
  2.052  OPBR         -z Mean could not be calculated.
  2.052  OPBR
  2.052  OPBR         Do you wish to repeat the acquistion?
  2.053  ENDIF

  2.054  UNTIL        NOT(MEM1)

  2.055  IEEE         MEASU:MEAS1:MAXIMUM?[I$]
  2.056  MATH         MEM = MEM2

  2.057  IF           NOT(ZCMP(MEM2, "99.0000E+36"))
  2.058  MATH         MEM = (MEM - L[1]) / 1E-9
  2.059  MATH         MEM2 = FMT(MEM, "%6.4f")
  2.060  ENDIF

  2.061  EVAL   -e MEM <= 0.015 : [32]Max - Mean: [MEM2] ns, Bound: <= 0.015

  3.001  JMPL         GET_MINIUM

# Establish TARGET for Post Test Repeat and Cancel options.
  3.002  TARGET       -p
  3.003  JMPL         START_DELTA_TIME

  3.004  LABEL        GET_MINIUM
  3.005  IEEE         MEASU:MEAS1:MINIMUM?[I$]
  3.006  MATH         MEM = MEM2

  3.007  IF           NOT(ZCMP(MEM2, "99.0000E+36"))
  3.008  MATH         MEM = (L[1] - MEM) / 1E-9
  3.009  MATH         MEM2 = FMT(MEM, "%6.4f")
  3.010  ENDIF

  3.011  LABEL        EVAL_MEAN_MINUS_MIN
  3.012  EVAL   -e MEM <= 0.015 : [32]Mean - Min: [MEM2] ns, Bound: <= 0.015

  4.001  HEAD         -2
  4.002  9500         *                                                 S
  4.003  IEEE         MEASU:MEAS1:STATE OFF

  4.004  IF           M[100] == 4
  4.005  DISP         Remove all connections to CH 4 input module.
  4.006  ENDIF

  4.007  HEAD
  4.008  END

  4.009  EVAL   Increment test number

# =====  Sub Tek TDS6000 (1 yr) Output Signals IEEE /9500  ==================

  5.001  LABEL        OUTPUT_SIGNALS
  5.002  RSLT         =
  5.003  HEAD         {AUX OUTPUT}
  5.004  M9500                       CH3
  5.005  TARGET
  5.006  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  5.007  JMPL         END                          @Abort
  5.008  IEEE         TRIG:A:EDGE:SOURCE CH[M100]
# Now change to channel used to measure AUX OUTPUT signal.
  5.009  MATH         M[100] = 2
  5.010  DISP         Disconnect CH [M100] Active Head from SMA to BNC adapter
  5.010  DISP         at DUT CH [M100] input.
  5.010  DISP
  5.010  DISP         Connect DUT AUX OUT to DUT CH [M100] using a precision
  5.010  DISP         50 Ω cable.
  5.011  CALL         Sub Tek TDSxxx Channel Selection
  5.012  JMPL         END                          @Abort
  5.013  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  5.014  IEEE         HOR:MAIN:SCALE 200.0E-6
  5.015  IEEE         CH2:VOLTS 500E-3
  5.016  IEEE         CH2:POSITION -2.0
  5.017  IEEE         ACQ:MODE AVERAGE;NUMAVG 64
  5.018  9500         500mVpp                      1kH            SQ    S  L

  5.019  DO
  5.020  CALL         Sub Tek TDS6000 Check for Trigger IEEE

  5.021  IF           NOT(@Triggered)
  5.022  DISP         The DUT is not triggered!
  5.022  DISP         Check connections.
  5.023  ENDIF

  5.024  UNTIL        @Triggered

  5.025  IEEE         ACQ:STOPAFTER SEQUENCE;STATE RUN
  5.026  IEEE         MEASU:IMMED:TYPE HIGH;SOURCE CH[M100]
  5.027  MATH         @Cmd = "ACQ:STATE RUN"
  5.028  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  5.029  JMPL         END                          @Abort
  5.030  IEEE         MEASU:IMM:VALUE?[I]
  5.031  MATH         MEM2 = FMT(MEM, "%4.2f")
  5.032  EVAL   -e MEM >= 1.0 : High [MEM2] V: Bound: >= 1

  6.001  IEEE         MEASU:IMMED:TYPE LOW
  6.002  9500         500mVpp                      1kH            SQ    S  L
  6.003  MATH         @Cmd = "ACQ:STATE RUN"
  6.004  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  6.005  JMPL         END                          @Abort
  6.006  IEEE         MEASU:IMM:VALUE?[I]
  6.007  MATH         MEM2 = FMT(MEM, "%4.2f")
  6.008  EVAL   -e MEM <= 0.25 : Low [MEM2] V: Bound: <= 0.25

  7.001  9500         *                                                 S

  7.002  RSLT         =
  7.003  HEAD         {SIGNAL OUTPUT}
  7.004  TARGET
  7.005  DISP         Move the connection at DUT from AUX OUT to SIGNAL OUT.
  7.006  IEEE         MEASU:IMM:TYPE PK2PK
  7.007  IEEE         CH2:VOLTS 50E-3;POSITION 3
  7.008  9500         500mVpp                      1kH            SQ    S  L
  7.009  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  7.010  MATH         @Cmd = "TRIG:A SETLEVEL"
  7.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.012  JMPL         END                          @Abort
  7.013  IEEE         ACQ:STOPAFTER SEQUENCE
  7.014  MATH         @Cmd = "ACQ:STATE RUN"
  7.015  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.016  JMPL         END                          @Abort
  7.017  IEEE         MEASU:IMM:VALUE?[I$]
  7.018  MATH         MEM = MEM2
  7.019  MATH         MEM1 = (MEM >= 40E-3) + (MEM <= 60E-3)
  7.020  MATH         MEM2 = FMT((MEM / 1E-3), "%4.1f")
  7.021  EVAL   -e MEM1 == 2 : [32]Amplitude [MEM2] mVpp: Bounds: 40 to 60

  8.001  9500         *                                                 S
  8.002  IEEE         MEASU:IMM:TYPE LOW
  8.003  MATH         @Cmd = "ACQ:STATE RUN"
  8.004  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  8.005  JMPL         END                          @Abort
  8.006  IEEE         MEASU:IMM:VALUE?[I$]
  8.007  MATH         MEM = MEM2
  8.008  MATH         MEM1 = (MEM >= -170E-3) + (MEM <= -100E-3)
  8.009  MATH         MEM2 = FMT((MEM / 1E-3), "%4.1f")
  8.010  EVAL   -e MEM1 == 2 : [32]Offset [MEM2] mV: Bounds: -170 to -100

  9.001  LABEL        END
  9.002  M9500        *
  9.003  9500         *                                                 S
  9.004  DISP         Disconnect cable from DUT SIGNAL OUTPUT to CH [M100].
  9.005  HEAD
  9.006  END
