﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS 6404,6604 (1 yr) VER IEEE/9500+5Ch+G3,LFCTR
DATE:                  2018-09-10 14:15:45
AUTHOR:                Fluke
REVISION:              $Revision: 18126 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       490
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Source:
#        Tektronix TDS6000 Series Service Manual,
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        5 ea. Adapter, Right Angle, SMA (f)-(m), Pomona
#              Model No. 4282 or equivalent
#        4 ea. Adapter, SMA (m) to BNC (f), Pomona Model
#              No. 4290 or equivalent
#        2 ea. Tee, SMA, (f)-(m)-(f)
#        2 ea. Cable assy., 20", SMA (m)-(m), Tektronix
#              Part No. 174-1427-00 or equivalent
#        2 ea. Shorting Cap, SMA (m), Pomona Model No. 5088
#        2 ea. Adapter, SMA (f)-(f), Pomona Model No. 4285
#        1 ea. Attenuator, 6 dB,  SMA (f)-(m)
#        1 ea. Attenuator, 20 dB, SMA (f)-(m)
#        1 ea. Cable assy., 36", BNC (m)-(m)
#
#  The Procedure was tested using:
#
#        Model No.    : TDS 6604
#        Serial No.   : Q08
#        Options      :
#        Firmware Rev.: CF:91.1CT FV:2.1.0
#
#       The average run time during testing was 1 hour, 20 minutes.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
# GLOBAL PROCEDURE VARIABLES:
#
#   M[1]
#     This variable is used in the Trigger Section of the procedure to store
#     temporary values of MEM.  This section is part of a feedback loop which
#     is used to adjust the 9500 to the proper amplitude.
#
#   M[2]
#     This variable is used in the Trigger Section of the procedure to
#     calculate how much the 9500 will be adjusted in the feedback loop.
#     This variable is also used in the bandwidth tests.
#
#   M[3]
#     This variable is used in the main triggering section to help determine
#     whether the scope is making a correct type of measurement.   This
#     variable sets the starting trigger level also.
#
#   M[4]
#     This variable is used to store a value to be to be compared later
#
#   M[5]
#     This variable is used to store a value to be to be compared later
#
#   M[7]
#     This wariable is used to determine whether the scope has triggered
#     properly and is used with the JMPL FSC.
#
#   M[8]
#     This variable is used during the TIMEBASE test to store vertical
#     cursor information.
#
#   M[9]
#     This variable is used during the TIMEBASE test to store horizontal
#     cursor information.
#
#   M[10]
#     This variable is used in the subprocedure status check to set the
#     watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   BackupMEM
#     This variable is used to store the value of MEM
#
#   BackupMEM1
#     This variable is used to store the value of MEM1
#
#   M[13]
#     This variable is used during the Timebase Test to manipulate the
#     cursors.
#
#   M[17]
#     This variable is used to store the desired resolution of a measurement.
#     This value is then passed to the SUB Status Check for calculations.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#
#   MEM2
#     This variable is used to pass commands to the Sub Status Check.  This is
#     used with the READING Flag.  The benefit of using this technique is the
#     ability to reduce the amout of dedicated programs.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1Vpp                         3GH            LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1Vpp                         3GH            LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1Vpp                         3GH            LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1Vpp                         3GH            LS    S  L
  1.010  M9500                       CH5
  1.011  9500         6GH                          100mV          LS    S  L
  1.012  IEEE         [@LFCTR]
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                                     V

  1.015  IF           NOT(VERSIONCHECK("8.0"))
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub DUT Connection GPIB
  1.020  CALL         Sub IEEE-488.2 Identification Query IEEE FSC

  1.021  IF           NOT(ZCMPI(@UUT_ModelNum, @ModelNum))
  1.022  DISP         DUT is a [V @ModelNum], not a
  1.022  DISP         Tektronix [V @UUT_ModelNum].
  1.023  END
  1.024  ENDIF

  1.025  CALL         Sub Initialize /LFCTR

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  MATH         @Abort = 0
  1.028  OPBR         -z Do you want to review the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  HEAD         -2 FLEXIBLE STANDARD: LF Counter (LFCTR)
  1.031  MATH         LF = @LFCTR_Ch1
  1.032  OPBR         -z Minimum use specifications of the following device,
  1.032  OPBR         configured as flexible standards, must be satisfied.
  1.032  OPBR
  1.032  OPBR         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.032  OPBR
  1.032  OPBR         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.033  OPBR
  1.033  OPBR         Minimum Use Specifications:
  1.033  OPBR         [32] 25 MHz, 1 s gate
  1.033  OPBR
  1.033  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.033  OPBR         Use Specifications?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or
  1.035  DISP         accessories are required:
  1.035  DISP
  1.035  DISP         - 5 ea., Adapter, Right Angle, SMA (f)-(m), Pomona
  1.035  DISP         [32]        Model No. 4282 or equivalent
  1.035  DISP         - 4 ea., Adapter, SMA (m) to BNC (f), Pomona Model
  1.035  DISP         [32]        No. 4290 or equivalent
  1.035  DISP         - 2 ea., Tee, SMA (f)-(m)-(f)
  1.036  DISP         - 2 ea., Cable assy., 20", SMA (m)-(m), Tektronix
  1.036  DISP         [32]        Part No. 174-1427-00 or equivalent
  1.036  DISP         - 2 ea., Shorting Cap, SMA (m), Pomona Model No. 5088
  1.036  DISP         - 2 ea., Adapter, SMA (f)-(f), Pomona Model No. 4285
  1.036  DISP         - 1 ea., Attenuator, 6 dB,  SMA (f)-(m)
  1.036  DISP         - 1 ea., Attenuator, 20 dB, SMA (f)-(m)
  1.036  DISP         - 1 ea., Cable assy., 36", BNC (m)-(m)
  1.037  ELSE
  1.038  DISP         Configured [V @LFCTR_DevName] (LF Counter) LFCTR does
  1.038  DISP         not satisfy the Minimum Use Specifications.
  1.039  MATH         Abort = 1
  1.040  ENDIF

  1.041  ENDIF

  1.042  JMPL         END                          @Abort

  1.043  CALL         Sub High Voltage Safety Warning
  1.044  CALL         Sub Select Failed Test Mode
  1.045  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.046  HEAD         PRELIMINARY INSTRUCTIONS
  1.047  DISP         Ensure a DUT warm-up time of 20 minutes has been
  1.047  DISP         allowed to elapse, prior to proceeding.

  1.048  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  1.049  JMPL         END                          @Abort

  1.050  OPBR         -z Do you wish to perform DUT Self Tests?

  1.051  IF           MEM1
  1.052  CALL         Sub Tek TDS6000 Self-Test IEEE
  1.053  ELSE
  1.054  RSLT         =
  1.055  RSLT         =SELF TEST: Not performed
  1.056  ENDIF

  1.057  JMPL         END                          @Abort

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.058  OPBR         -z Do you wish to perform DUT Signal Path Compensation
  1.058  OPBR         Calibration?

  1.059  IF           MEM1
  1.060  CALL         Sub Tek TDS6000 Sig Path Comp Cal IEEE /9500
  1.061  ELSE
  1.062  RSLT         =
  1.063  RSLT         =SIGNAL PATH COMPENSATION: Not performed
  1.064  ENDIF

  1.065  JMPL         END                          @Abort

  1.066  HEAD         PLEASE NOTE!
  1.067  DISP         Throughout this procedure, many connections are made
  1.067  DISP         to the DUT via BNC(f) to SMA(m) adapters. Due to the
  1.067  DISP         nature of these adapters, EXTREME CAUTION should be
  1.067  DISP         exercised in order to avoid exerting excessive torque
  1.067  DISP         or crossthreading during interconnection. In lieu of
  1.067  DISP         using the BNC(f) to SMA(m) adapters, the Tektronix
  1.067  DISP         TekConnect® TCA-BNC input modules may be used, where
  1.067  DISP         appropriate.
  1.068  HEAD

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.069  MATH         M[100] = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.072  JMPL         END                          @Abort
  1.073  MATH         M[100] = 2
  1.074  M9500                       CH2
  1.075  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.076  JMPL         END                          @Abort
  1.077  MATH         M[100] = 3
  1.078  M9500                       CH3
  1.079  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.080  JMPL         END                          @Abort
  1.081  MATH         M[100] = 4
  1.082  M9500                       CH4
  1.083  CALL         Sub Tek TDS6000 (1 yr) DC Voltage IEEE /9500
  1.084  JMPL         END                          @Abort

  1.085  RSLT         =
  1.086  HEAD         {OFFSET}
  1.087  MATH         M[100] = 1
  1.088  M9500                       CH1
  1.089  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.090  JMPL         END                          @Abort
  1.091  MATH         M[100] = 2
  1.092  M9500                       CH2
  1.093  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.094  JMPL         END                          @Abort
  1.095  MATH         M[100] = 3
  1.096  M9500                       CH3
  1.097  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.098  JMPL         END                          @Abort
  1.099  MATH         M[100] = 4
  1.100  M9500                       CH4
  1.101  CALL         Sub Tek TDS6000 (1 yr) Offset IEEE /9500
  1.102  JMPL         END                          @Abort

  1.103  MATH         M[100] = 1
  1.104  M9500                       CH1
  1.105  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.106  JMPL         END                          @Abort
  1.107  MATH         M[100] = 2
  1.108  M9500                       CH2
  1.109  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.110  JMPL         END                          @Abort
  1.111  MATH         M[100] = 3
  1.112  M9500                       CH3
  1.113  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.114  JMPL         END                          @Abort
  1.115  MATH         M[100] = 4
  1.116  M9500                       CH4
  1.117  CALL         Sub Tek TDS6000 (1 yr) Max Input Voltage IEEE /9500
  1.118  JMPL         END                          @Abort

  1.119  DISP         Using a blunt instrument, acknowledge and clear
  1.119  DISP         the input overload prompts that appear on the
  1.119  DISP         DUT screen.
  1.120  JMPL         DELAY_MATCH

  1.121  LABEL        ANALOG_BANDWIDTH
  1.122  MATH         M[100] = 1
  1.123  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.124  JMPL         END                          @Abort
  1.125  JMPL         CH1_CHANNEL_ISOLATION

  1.126  LABEL        CH2_ANALOG_BANDWIDTH
  1.127  MATH         M[100] = 2
  1.128  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.129  JMPL         END                          @Abort
  1.130  JMPL         CH2_CHANNEL_ISOLATION

  1.131  LABEL        CH3_ANALOG_BANDWIDTH
  1.132  MATH         M[100] = 3
  1.133  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.134  JMPL         END                          @Abort
  1.135  JMPL         CH3_CHANNEL_ISOLATION

  1.136  LABEL        CH4_ANALOG_BANDWIDTH
  1.137  MATH         M[100] = 4
  1.138  CALL         Sub Tek TDS6000 (1 yr) Bandwidth IEEE /9500+5Ch+G3
  1.139  JMPL         END                          @Abort
  1.140  JMPL         CH4_CHANNEL_ISOLATION

  1.141  LABEL        DELAY_MATCH
  1.142  CALL         Sub Tek TDS6000 (1 yr) Delay Match IEEE /9500+5Ch+S6
  1.143  JMPL         END                          @Abort
  1.144  JMPL         INPUT_IMPEDANCE

  1.145  LABEL        CH1_CHANNEL_ISOLATION
# M[100] is the signal channel, the rest are the test channels.
  1.146  MATH         M[100] = 1; M[101] = 2; M[102] = 3; M[103] = 4
  1.147  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.148  JMPL         END                          @Abort
  1.149  JMPL         CH2_ANALOG_BANDWIDTH

  1.150  LABEL        CH2_CHANNEL_ISOLATION
  1.151  MATH         M[100] = 2; M[101] = 1; M[102] = 3; M[103] = 4
  1.152  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.153  JMPL         END                          @Abort
  1.154  JMPL         CH3_ANALOG_BANDWIDTH

  1.155  LABEL        CH3_CHANNEL_ISOLATION
  1.156  MATH         M[100] = 3; M[101] = 1; M[102] = 2; M[103] = 4
  1.157  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.158  JMPL         END                          @Abort
  1.159  JMPL         CH4_ANALOG_BANDWIDTH

  1.160  LABEL        CH4_CHANNEL_ISOLATION
  1.161  MATH         M[100] = 4; M[101] = 1; M[102] = 2; M[103] = 3
  1.162  CALL         Sub Tek TDS6000 (1 yr) Ch Isolation IEEE /9500+5Ch+G3
  1.163  JMPL         END                          @Abort
  1.164  JMPL         PULSE_TRIGGER

  1.165  LABEL        INPUT_IMPEDANCE
  1.166  MATH         M[100] = 1
  1.167  M9500                       CH1
  1.168  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.169  JMPL         END                          @Abort
  1.170  MATH         M[100] = 2
  1.171  M9500                       CH2
  1.172  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.173  JMPL         END                          @Abort
  1.174  MATH         M[100] = 3
  1.175  M9500                       CH3
  1.176  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.177  JMPL         END                          @Abort
  1.178  MATH         M[100] = 4
  1.179  M9500                       CH4
  1.180  CALL         Sub Tek TDS6000 (1 yr) Input Impedance IEEE /9500
  1.181  JMPL         END                          @Abort
  1.182  JMPL         TRIGGER_SENSITIVITY

  1.183  LABEL        REF_OUT
  1.184  CALL         Sub Tek TDS6000 (1 yr) Ref Out IEEE /LFCTR
  1.185  JMPL         END                          @Abort
  1.186  JMPL         PROBE_COMP_OUTPUT

  1.187  LABEL        DELTA_TIME
  1.188  MATH         M[100] = 1
  1.189  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.190  JMPL         END                          @Abort
  1.191  MATH         M[100] = 2
  1.192  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.193  JMPL         END                          @Abort
  1.194  MATH         M[100] = 3
  1.195  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.196  JMPL         END                          @Abort
  1.197  MATH         M[100] = 4
  1.198  CALL         Sub Tek TDS6000 (1 yr) Delta Time IEEE /9500
  1.199  JMPL         END                          @Abort

  1.200  JMPL         ANALOG_BANDWIDTH

  1.201  LABEL        PULSE_TRIGGER
  1.202  CALL         Sub Tek TDS6000 (1 yr) Pulse Trigger IEEE /9500+5Ch+G3
  1.203  JMPL         END                          @Abort
  1.204  JMPL         REF_OUT

  1.205  LABEL        TRIGGER_SENSITIVITY
  1.206  MATH         M[100] = 1
  1.207  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.208  JMPL         END                          @Abort

  1.209  OPBR         -z Do you wish to check trigger sensitivity using
  1.209  OPBR         DUT input channel 2?

  1.210  IF           MEM1
  1.211  MATH         M[100] = 2
  1.212  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.213  ENDIF

  1.214  JMPL         END                          @Abort

  1.215  OPBR         -z Do you wish to check trigger sensitivity using
  1.215  OPBR         DUT input channel 3?

  1.216  IF           MEM1
  1.217  MATH         M[100] = 3
  1.218  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.219  ENDIF

  1.220  JMPL         END                          @Abort

  1.221  OPBR         -z Do you wish to check trigger sensitivity using
  1.221  OPBR         DUT input channel 4?

  1.222  IF           MEM1
  1.223  MATH         M[100] = 4
  1.224  CALL         Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
  1.225  DISP         Disconnect CH 3 Active Head from the 50 Ω termination.
  1.225  DISP
  1.225  DISP         Connect CH 3 Active Head to DUT CH 3 input module.
  1.225  DISP
  1.225  DISP         Disconnect the 50 Ω termination from the DUT
  1.225  DISP         AUX INPUT.
  1.226  ELSE
  1.227  DISP         Disconnect CH 4 Active Head from the 50 Ω termination.
  1.227  DISP
  1.227  DISP         Connect CH 4 Active Head to DUT CH 4 input module.
  1.227  DISP
  1.227  DISP         Disconnect the 50 Ω termination from the DUT
  1.227  DISP         AUX INPUT.
  1.228  ENDIF

  1.229  JMPL         END                          @Abort

  1.230  CALL         Sub Tek TDS6000 (1 yr) Output Signals IEEE /9500
  1.231  JMPL         END                          @Abort
  1.232  DISP         Disconnect all Active Heads from DUT input modules.
  1.233  JMPL         DELTA_TIME

  1.234  LABEL        PROBE_COMP_OUTPUT
  1.235  CALL         Sub Tek TDS6000 (1 yr) Probe Comp Output IEEE /LFCTR

  1.236  LABEL        END

  1.237  IF           @Abort
  1.238  HEAD         P R O C E D U R E   A B O R T E D !
  1.239  ENDIF

  1.240  END
